Package com.xebialabs.xlrelease.domain.events

## Class ActivityLogEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction7<java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​java.util.Date,​java.lang.String,​java.lang.String,​ActivityLogEvent>
  - - com.xebialabs.xlrelease.domain.events.ActivityLogEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function7<java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​java.util.Date,​java.lang.String,​java.lang.String,​ActivityLogEvent>`

      public class ActivityLogEvent$
      extends scala.runtime.AbstractFunction7<java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​java.util.Date,​java.lang.String,​java.lang.String,​ActivityLogEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ActivityLogEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActivityLogEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ActivityLogEvent` | `apply​(java.lang.String releaseId, java.lang.String id, java.lang.String activityType, java.lang.String message, java.util.Date eventTime, java.lang.String targetType, java.lang.String targetId)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple7<java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​java.util.Date,​java.lang.String,​java.lang.String>>` | `unapply​(ActivityLogEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction7

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final ActivityLogEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### ActivityLogEvent$

          public ActivityLogEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function7<java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​java.util.Date,​java.lang.String,​java.lang.String,​ActivityLogEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction7<java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​java.util.Date,​java.lang.String,​java.lang.String,​ActivityLogEvent>`

    - #### apply

          public ActivityLogEvent apply​(java.lang.String releaseId,
                                        java.lang.String id,
                                        java.lang.String activityType,
                                        java.lang.String message,
                                        java.util.Date eventTime,
                                        java.lang.String targetType,
                                        java.lang.String targetId)

      Specified by:
        `apply` in interface `scala.Function7<java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​java.util.Date,​java.lang.String,​java.lang.String,​ActivityLogEvent>`

    - #### unapply

          public scala.Option<scala.Tuple7<java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​java.util.Date,​java.lang.String,​java.lang.String>> unapply​(ActivityLogEvent x$0)